Bug 36741 - OpenOffice.org logo at startup with generic vcl plugin
Summary: OpenOffice.org logo at startup with generic vcl plugin
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All Linux (All)
: medium minor
Assignee: Christoph
URL:
Whiteboard: target:3.5
Keywords: topicUI
Depends on: 33229
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-01 06:38 UTC by maestraccio
Modified: 2015-12-16 05:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (42.32 KB, image/png)
2011-05-01 06:38 UTC, maestraccio
Details
screenshot of double bug (161.87 KB, image/png)
2011-05-06 07:37 UTC, maestraccio
Details

Note You need to log in before you can comment on or make changes to this bug.
Description maestraccio 2011-05-01 06:38:32 UTC
Created attachment 46217 [details]
Screenshot

When starting LibreOffice 3.3.2 a small OpenOffice.org logo appears in the top left corner. It disappears again after a few seconds. There is no OpenOffice.org installation on my Kubuntu 11.04 netbook.
Comment 1 maestraccio 2011-05-01 07:05:11 UTC
Found out when starting up Impress the logo stays there during the startup wizard.
Comment 2 Muthu 2011-05-03 00:04:06 UTC
Is this something specific to Ubuntu/Kubuntu?
If so, you might want to report the bug there?
Comment 3 maestraccio 2011-05-03 10:44:13 UTC
Sorry, can't check, have only Kubuntu installed
Comment 4 Muthu 2011-05-05 01:55:25 UTC
@bjoern: Can you verify it please? Thank you!
Comment 5 maestraccio 2011-05-06 07:37:52 UTC
Created attachment 46398 [details]
screenshot of double bug

All screens at startup show the OpenOffice.org logo, once fully active only LibreOffice logos appear.
Comment 6 maestraccio 2011-05-10 01:26:26 UTC
Starting up *OpenOffice.org* on a Fedora machine the same thing happens, the "old" OO.o is during startup only replaced by the "new" one, also on all other startup screens.
This may help you looking where to find your solution, dunno.
Comment 7 Thomas Arnhold 2011-08-02 03:36:31 UTC
Is this still a problem with 3.4.2? There were several fixes on old OOo logos.

But here are some more left-overs:

default_images/svx/res/vendor01h.png
default_images/svx/res/vendor01.png
default_images/framework/res/logo.png
Comment 8 maestraccio 2011-08-08 11:40:10 UTC
Just installed 3.4, same bug.
Comment 9 Björn Michaelsen 2011-10-01 07:37:22 UTC
The default_images/svx/res stuff seems to be solved with fdo#33229, but

 default_images/framework/res/logo.png

is still there on master:

http://cgit.freedesktop.org/libreoffice/core/plain/default_images/framework/res/logo.png

Reassigning to Christoph, please reassign again to somebody on the design team to create (or find) a icon with our branding to commit the change.

No need to backport to 3.4 IMHO.
Comment 10 Björn Michaelsen 2011-10-01 07:46:44 UTC
BTW: Cant reproduce with 3.4.3-3ubuntu2 on oneiric. Still the icon should be replaced anyway even if it does not show up as shown in the screenshot.
Comment 11 Christoph 2011-10-02 07:55:23 UTC
(In reply to comment #9)
> http://cgit.freedesktop.org/libreoffice/core/plain/default_images/framework/res/logo.png

> Reassigning to Christoph, please reassign again to somebody on the design team
> to create (or find) a icon with our branding to commit the change.

Will do, but before - any hint where this logo is actually used? Never saw it before ... According opengrok it seems to be a status bar image, defined here:
http://opengrok.libreoffice.org/xref/core/framework/source/classes/resource.src

Any further idea?
Comment 12 Björn Michaelsen 2012-01-10 04:00:00 UTC
Start libreoffice with:
SAL_USE_VCLPLUGIN=kde4 /usr/lib/libreoffice/program/soffice.bin
and enable the quickstarter.
Comment 13 Björn Michaelsen 2012-01-11 07:43:07 UTC
The kde icon at ooo_custom_images/oxygen/res/mainapp_16.png is fixed in 3.5.
But with SAL_USE_VCLPLUGIN=gen /usr/lib/libreoffice/program/soffice.bin the icon from framework/res/logo.png appears in the window tile (if the window manager supports that).
Comment 14 Florian Reisinger 2012-05-18 09:33:09 UTC
Deleted "Easyhack" from summary.
Comment 15 Julien Nabet 2012-08-10 09:55:53 UTC
So let's remove completely Easyhack, even in Whiteboard
Comment 16 bfoman (inactive) 2013-07-20 21:37:06 UTC
@Christoph:
Is this still an issue? Linked bugs suggest it is fixed. Please comment.
Comment 17 Thomas Arnhold 2013-10-16 00:30:16 UTC
Looks pretty much fixed.
Comment 18 Robinson Tryon (qubit) 2015-12-16 05:34:46 UTC
Migrating Whiteboard tags to Keywords: (TopicUI )
[NinjaEdit]